#include <bits/stdc++.h>
using namespace std;
#include "locmin.h"

std::pair<int, int> find_locmin_point(int N, int M){
    int first = 1;
    int end = M;
    int mid;
    while(first < end){
        mid = (first + end) / 2;
        if(value(N,mid) < value(N,mid + 1)){
            end = mid;
        }
        else{
            first = mid + 1;
        }
    }
    return first;
}












